Get Vehicle Status
Description
도어 및 트렁크 열림 상태, 타이어 공기압, 경고등, 공조 시스템 등 차량 센서 기반 현재 상태를 조회합니다.
Endpoint
GET https://api.pleos.ai/v1/vehicles/{vin}/status
Request
curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/status" \
-H "Authorization: Bearer <your_access_token>" \
-H "Brand: hyundai"
Header Params
| 파라미터 | 타입 | 설명 | 필수 여부 |
|---|---|---|---|
| Authorization | string | 액세스 토큰 | Required |
| Brand | string | 차량 브랜드(hyundai/kia/genesis) | Required |
Path Params
| 파라미터 | 타입 | 설명 | 필수 여부 |
|---|---|---|---|
| vin | string | 차량 식별 번호(Vehicle Identification Number) | Required |
Response
성공
200
{
"data": {
"doors": [
{
"left": "locked",
"right": "locked"
},
{
"left": "locked",
"right": "locked"
}
],
"hood": "closed",
"trunk": "closed",
"sunroof": "closed",
"tire": [
{
"left": 40,
"right": 40,
"unit": "psi"
},
{
"left": 40,
"right": 40,
"unit": "psi"
}
],
"warnings": [
"washFluid"
],
"climateControl": {
"mode": "auto",
"status": "on",
"speed": -1,
"temperature": {
"value": 17,
"unit": "C"
}
},
"windshield": {
"defrost": "off"
},
"steeringWheelHeat": "off",
"seats": [
{
"left": {
"heat": "off",
"ventilation": "high"
},
"right": {
"heat": "off",
"ventilation": "off"
}
},
{
"left": {
"heat": "off",
"ventilation": "off"
},
"right": {
"heat": "off",
"ventilation": "off"
}
}
],
"outsideTemperature": {
"value": 30,
"unit": "C"
},
"timestamp": "2025-09-01T09:10:00Z"
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data 필드 | 타입 | 설명 |
|---|---|---|
| doors | array | 문 개폐 상태 ([0]: 1열, [1]: 2열) |
| └─ left | string | 왼쪽 문 개폐 상태 (open, closed, locked, invalid) |
| └─ right | string | 오른쪽 문 개폐 상태 (open, closed, locked, invalid) |
| hood | string | 후드 개폐 상태 (open, closed, invalid) |
| trunk | string | 트렁크 개폐 상태 (open, closed, invalid) |
| sunroof | string | 선루프 개폐 상태 (open, closed, invalid) |
| tire | array | 타이어 공기압 ([0]: 전방, [1]: 후방) |
| └─ left | number | 왼쪽 타이어 공기압 (0~254: valid, 255: invalid) |
| └─ right | number | 오른쪽 타이어 공기압 (0~254: valid, 255: invalid) |
| └─ unit | string | 타이어 공기압 단위 (psi, kpa, bar) |
| warnings | array | 경고등 상태 - lowFuel: 연료 부족 - smartKeyBattery: 스마트키 배터리 부족 - washFluid: 워셔액 부족 - brakeOil: 브레이크 오일 경고등 - engineOil: 엔진오일 경고등 - tirePressureFrontLeft: FL 타이어 공기압 부족 - tirePressureFrontRight: FR 타이어 공기압 부족 - tirePressureRearLeft: RL 타이어 공기압 부족 - tirePressureRearRight: RR 타이어 공기압 부족 - tirePressureLow: 타이어 공기압 부족 (위치별 공기압 구분이 안되는 차량) - frontHeadLamp: 헤드램프(headlamp) 상태 - frontLeftTurnSignal: Left Front 방향지시등 고장 상태 - frontRightTurnSignal: Right Front 방향지시등 고장 상태 - rearLeftStopLamp: Bulb type 정지등 (Stop Lamp) Left 고장 상태 - rearRightStopLamp: Bulb type 정지등 (Stop Lamp) Right 고장 상태 - rearLeftTurnSignal: Left Rear 방향지시등 고장 상태 - rearRightTurnSignal: Right Rear 방향지시등 고장 상태 |
| climateControl | object | 공조 시스템 정보 |
| └─ mode | string | 공조 제어 모드 (manual: 수동, auto: 자동, off: 꺼짐, error: 에러) |
| └─ status | string | 공조 제어 모드 상태 (on, off) |
| └─ speed | integer | 송풍 속도 (-1: auto, 0: off, 1~8: 송풍 세기) |
| └─ temperature | object | 차량 내부 설정 온도 |
| └────── value | number | 온도 (범위: 100.0~100.0) |
| └────── unit | string | 온도 단위 (C: 섭씨, F: 화씨) |
| windshield | object | 앞 유리 정보 |
| └─ defrost | string | 앞 유리 성에 방지 상태 (on, off) |
| steeringWheelHeat | string | 스티어링 휠 열선 상태 (on, off) |
| seats | array | 시트 상태 ([0]: 1열, [1]: 2열) |
| └─ left | object | 왼쪽 시트 상태 |
| └────── heat | string | 왼쪽 시트의 열선 상태 (off, low, middle, high) |
| └────── ventilation | string | 왼쪽 시트의 통풍 상태 (off, low, middle, high) |
| └─ right | object | 오른쪽 시트 상태 |
| └────── heat | string | 오른쪽 시트의 열선 상태 (off, low, middle, high) |
| └────── ventilation | string | 오른쪽 시트의 통풍 상태 (off, low, middle, high) |
| outsideTemperature | object | 차량의 외기 온도 정보 |
| └─ value | number | 차량의 외기 온도 (범위: -100.0~100.0) |
| └─ unit | string | 외기 온도 단위 (C: 섭씨, F: 화씨) |
| timestamp | string | 차량 데이터 발생 시각 (UTC+0 기준) yyyy-MM-dd'T'HH:mm:ss'Z' |
타이어 압력 단위에 따른 값의 계산
'tire[index].unit' 설정에 따라 'tire[index].left'와 'tire[index].right' 압력 값을 변환하여 사용해야 합니다.
| 타이어 압력 단위 | 타이어 압력 값 | 물리값 변환 로직 | 실제 물리값 |
|---|---|---|---|
| psi | 52 | 가공 불필요 | 52 psi |
| kpa | 72 | value * 5 | 360 kpa |
| bar | 36 | value / 10 | 3.6 bar |
실패
4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[에러 코드]
실패 시 에러 코드에 대한 상세한 설명은 에러 코드를 참조합니다.